﻿*==============================================================================*
* TITULO DE LA SINTAXIS:                                                       *
* Indicadores de Tecnología de la Información y Comunicación - TIC             * 
* OPERACIÓN ESTADISTICA:                                                       *
* Encuesta Nacional Multipropósito de Hogares                                  *
* UNIDAD TECNICA RESPONSABLE:                                                  *
* Gestión de Estadísticas Permanentes a Hogares                                *
* ENTIDAD EJECUTORA:                                                           *
* Instituto Nacional de Estadistica y Censos (INEC)                            *                                                      
*==============================================================================*
* Fecha de elaboración:        Mayo 01 del 2019                                *
* Fecha ultima modificación:   Junio 11 del 2020                               *
*==============================================================================*
* Elaborado por:                                                               *
* Direccion de Estadisticas Sociodemográficas (DIES)                           *
*==============================================================================*
* Revisado y Aprobado por:                                                     *
* Direccion de Estadisticas Sociodemográficas (DIES)                           *
* Instituto Nacional de Estadistica y Censos (INEC)                            *
*==============================================================================*
*==============================================================================*
  * INSTRUCCIONES:
*==============================================================================*
* 1. Descargue las bases de la encuesta Multipropósito de la página web del INEC. 
* 2. Coloque en una sola carpeta las bases de datos.
* 3. No cambie el nombre original de los archivos.
* 4. En "cd", dentro de las comillas se debe colocar la dirección de la carpeta que contiene las bases.

	cd "...."  /*Colocar directorio*/   

	set more off
	clear all 
	use 201912_multibdd_equipamiento
	
*------------------------------------------------------------------------------*
   svyset upm [iw=fexp3], strata(estrato3) vce(linearized) singleunit(certainty)
*------------------------------------------------------------------------------*

*==============================================================================*
* 						INDICADORES A NIVEL DE HOGAR                                                                                                                                                                                                      
*==============================================================================* 
 cap drop hog
 gen tot_hog=1
*==============================================================================*
*1. Porcentaje de hogares con al menos un computador de esccritorio
*==============================================================================*
	cap drop x1 y1 
	gen  x1=0
	replace x1=1 if (s11p11a==1) 
	gen  y1=0
	replace  y1=1 if tot_hog==1 
	 *Resultados 
	svy: ratio x1/y1
		
*==============================================================================*
*2. Porcentaje de hogares con laptop/tablet
*==============================================================================*
	cap drop x2 y2 
	gen  x2=0
	replace  x2=1 if (s11p12a==1) 	
	gen  y2=0
	replace  y2=1 if tot_hog==1 	
	 *Resultados 
	svy: ratio x2/y2
	svy: ratio x2/y2, over(area)
		
*==============================================================================*
*3. Porcentaje  de hogares con computador de escritorio y portátil
*==============================================================================*
	cap drop x3 y3 
	gen  x3=0
	replace  x3=1 if (s11p11a==1 & s11p12a==1) 
	gen  y3=0
	replace  y3=1 if tot_hog==1  
	 *Resultados 
	svy: ratio x3/y3
	svy: ratio x3/y3, over(area)
	
	
*==============================================================================*
*4. Porcentaje de hogares con telefonía Fija 
*==============================================================================*
	cap drop x4 y4 
	gen x4=0
	replace x4=1 if s11p13a==1 & tot_hog==1 
	gen y4=0
	replace y4=1 if tot_hog==1 
	*Resultados 
	svy: ratio x4/y4
	svy: ratio x4/y4, over(area)
	
*==============================================================================*
*5. Porcentaje de hogares con telefonía celular 
*==============================================================================*
	cap drop x5 y5 
	gen x5=0
	replace x5=1 if s11p14a==1 & tot_hog==1 
	gen y5=0
	replace y5=1 if tot_hog==1 
	*Resultados 
	svy: ratio x5/y5
	svy: ratio x5/y5, over(area)
		
*==============================================================================*
* 6. Porcentaje de hogares con acceso a internet 	
*==============================================================================*
	cap drop x6 y6 
	gen  x6=0
	replace  x6=1 if s11p2==1 
	gen  y6=0
	replace  y6=1 if tot_hog==1  
	 *Resultados 
	svy: ratio x6/y6
	svy: ratio x6/y6, over(area)
		
*==============================================================================*
* 					INDICADORES A NIVEL DE PERSONAS                                                                                                                                                                              
*==============================================================================* 
	set more off
	clear all 
	use 201912_multibdd_personas, clear 

*------------------------------------------------------------------------------*
   svyset upm [iw=fexp], strata(estrato) vce(linearized) singleunit(certainty)
*------------------------------------------------------------------------------*
	
*==============================================================================*
*7. Porcentaje de personas que utilizan computadora 
*==============================================================================*
	cap drop x7 y7 
	gen  x7=0
	replace  x7=1 if (s1p3>=5 & s1p3<=98) & s7p6==1 
	gen  y7=0
	replace  y7=1 if (s1p3>=5 & s1p3<=98)
	  *Resultados 
	svy: ratio x7/y7
	svy: ratio x7/y7, over(area)
	
* ==============================================================================*
* USO DE INTERNET:                                                                                                                                                                                
* ==============================================================================* 	
*===============================================================================*
*8. Porcentaje de personas que utilizan internet   
*===============================================================================*
	cap drop x8 y8 
	gen   x8=0
	replace  x8=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	gen  y8=0
	replace  y8=1 if (s1p3>=5 & s1p3<=98)
	 *Resultados 
	svy: ratio x8/y8
	svy: ratio x8/y8, over(area)

* ==============================================================================*	
* LUGAR DE USO DE INTERNET 
* ==============================================================================*	
*===============================================================================*
*9. Porcentaje de personas que utilizan internet en el hogar
*===============================================================================*
	cap drop x9 y9
	gen  x9=0
	replace  x9=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1) & s7p3==1
	gen  y9=0
	replace  y9=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1)
	
	 *Resultados 
	svy: ratio x9/y9
	svy: ratio x9/y9, over(area)
		
*===============================================================================*
*10. Porcentaje de personas que utilizan internet en el Trabajo
*===============================================================================*
	cap drop x10 y10 
	gen  x10=0
	replace  x10=1 if (s1p3>=5 & s1p3<=98) &(s7p2==1) & s7p3==2
	gen  y10=0
	replace  y10=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1)
	 *Resultados 
	svy: ratio x10/y10
	svy: ratio x10/y10, over(area)
*===============================================================================*
*11. Porcentaje de personas que utilizan internet en la Inst. Educativa
*===============================================================================*
	cap drop x11 y11 
	gen  x11=0
	replace  x11=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1) & s7p3==3
	gen  y11=0
	replace  y11=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1)
	 *Resultados 
	svy: ratio x11/y11
	svy: ratio x11/y11, over(area)
*===============================================================================*
*12. Porcentaje de personas que utilizan internet en la Centro de acceso público
*===============================================================================*
	cap drop x12 y12 
	gen  x12=0
	replace  x12=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p3==4
	gen  y12=0
	replace  y12=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x12/y12
	svy: ratio x12/y12, over(area)
	
*==============================================================================*
*13. Porcentaje de personas que utilizan internet en el Casa de otra persona
*==============================================================================*
	cap drop x13 y13
	gen  x13=0
	replace  x13=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p3==5
	gen  y13=0
	replace  y13=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x13/y13
	svy: ratio x13/y13, over(area)
*==============================================================================*
*14. Porcentaje de personas que utilizan internet en el otro cuál 
*==============================================================================*
	cap drop x14 y14
	gen  x14=0
	replace  x14=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p3==6
	gen  y14=0
	replace  y14=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x14/y14
	svy: ratio x14/y14, over(area)
	
* ==============================================================================*
* RAZONES DE USO DEL INTERNET
* ==============================================================================*
recode s7p211 (1=1) (2=2) (3=5) (4=5) (5=3) (6=5)(7=5) (8=5) (9=5) (10=4) (11=5) (12=5) 
	label define  pt06a 1"Obtener información"  ///
	2 "Comunicación en general"  ///
	3 "Educación y aprendizaje"  ///
	4 "Razones de trabajo" ///
	5 "Otro", modify
*===============================================================================*
*15. Porcentaje de Razones de uso de Internet-Obtener información
*===============================================================================*
	gen x15=0
	replace x15=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1) & s7p211==1
	gen y15=0
	replace y15=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1)
	 *Resultados 
	svy: ratio x15/y15
	svy: ratio x15/y15, over(area)
	
*===============================================================================*
*16. Porcentaje de Razones de uso de Internet-Comunicación en general
*===============================================================================*
	gen x16=0
	replace x16=1 if (s1p3>=5 & s1p3<=98) &(s7p2==1) & s7p211==2
	gen y16=0
	replace y16=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1)
	 *Resultados 
	svy: ratio x16/y16
	svy: ratio x16/y16, over(area)
	
*===============================================================================*
*17. Porcentaje de Razones de uso de Internet-Educación y aprendizaje
*===============================================================================*
	gen x17=0
	replace x17=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p211==3
	gen y17=0
	replace y17=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x17/y17
	svy: ratio x17/y17, over(area)
	
*===============================================================================*
*18. Porcentaje de Razones de uso de Internet-Razones de trabajo
*===============================================================================*
	gen x18=0
	replace x18=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p211==4
	gen y18=0
	replace y18=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x18/y18
	svy: ratio x18/y18, over(area)
	
*==============================================================================*
*19. Porcentaje de Razones de uso de Internet-Otro
*==============================================================================*
	gen x19=0
	replace x19=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p211==5
	gen y19=0
	replace y19=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x19/y19
	svy: ratio x19/y19, over(area)
	

*==============================================================================*
* FRECUENCIA DE USO DE INTERNET
*==============================================================================*	
	recode s7p4 (1=1) (2=2) (3=3)(4=3) (5=4)
	label define  s7p4 1"Al menos 1 vez al día"  ///
	2 "Al menos 1 vez a la semana?"  ///
	3 "Al menos 1 vez al mes? Menos de 1 vez al año"  ///
	4 "No sabe", modify

*==============================================================================*
*20 Porcentaje de personas que utilizan internet 1 vez al día 
*==============================================================================*
	cap drop x20 y20
	gen  x20=0
	replace  x20=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p4==1
	gen  y20=0
	replace  y20=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x20/y20
	svy: ratio x20/y20, over(area)
	
*==============================================================================*
*21 Porcentaje de personas que utilizan internet 1 vez a la semana
*==============================================================================*
	cap drop x21 y21
	gen  x21=0
	replace  x21=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1) & s7p4==2
	gen  y21=0
	replace  y21=1 if (s1p3>=5 & s1p3<=98) &( s7p2==1)
	 *Resultados 
	svy: ratio x21/y21
	svy: ratio x21/y21, over(area)
		
*==============================================================================*
*22 Porcentaje de personas que utilizan internet al menos 1 vez al mes? Menos de 1 vez al año
*==============================================================================*
	cap drop x22 y22
	gen  x22=0
	replace  x22=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1) & s7p4==3
	gen  y22=0
	replace  y22=1 if (s1p3>=5 & s1p3<=98) & (s7p2==1)
	 *Resultados 
	svy: ratio x22/y22
	svy: ratio x22/y22, over(area)
	
*===============================================================================*
* 23. Proporción de personas que tienen celular activado
*===============================================================================*	
	 cap drop x23 y23
	 gen  x23=0
	 replace  x23=1 if (s1p3>=5 & s1p3<=98) & s7p1a==1 
	 gen  y23=0
	 replace  y23=1 if (s1p3>=5 & s1p3<=98)
	  *Resultados 
	svy: ratio x23/y23
	svy: ratio x23/y23, over(area)
	
*===============================================================================*
* 24. Proporción de personas que utilizan teléfono smartphone 
* Indicador para el total de personas de 5 años y más
*===============================================================================*		
	cap drop x24 y24
	replace s7p1b=. if s7p1b==9
	gen  x24=0
	replace  x24=1 if (s1p3>=5 & s1p3<=98) & s7p1a==1 & s7p1a1==1 
	gen  y24=0
	replace  y24=1 if (s1p3>=5 & s1p3<=98)
	 *Resultados 
	svy: ratio x24/y24
	svy: ratio x24/y24, over(area)

*===============================================================================*
* 25. Proporción de personas que utiliza teléfonos smartphone 
* Indicador para personas de 5 años y más que tienen teléfono celular 
*===============================================================================*		
	cap drop x25 y25
	gen  x25=0
	replace  x25=1 if (s1p3>=5 & s1p3<=98) & (s7p1a==1 & s7p1a1==1) 
	gen  y25=0
	replace  y25=1 if (s1p3>=5 & s1p3<=98) & s7p1a==1
	 *Resultados 
	svy: ratio x25/y25
	svy: ratio x25/y25, over(area)
	
*===============================================================================*
* 26. Analfabetismo digital
*===============================================================================*		
	cap drop x26 y26
	gen  x26=0
	replace  x26=1 if (s1p3>=15 & s1p3<=49) & (s7p1a==2 & s7p2==2 & s7p6==2)
	gen  y26=0
	replace  y26=1 if (s1p3>=15 & s1p3<=49)
	 *Resultados 
	svy: ratio x26/y26
	svy: ratio x26/y26, over(area)
		
*===============================================================================*
* 27. En su teléfono utiliza redes sociales
*===============================================================================*		
	cap drop x27 y27
	gen  x27=0
	replace  x27=1 if (s1p3>=5 & s1p3<=98) & (s7p1a==1 & s7p1a1==1 & s7p1b2==1) 
	gen  y27=0
	replace  y27=1 if (s1p3>=5 & s1p3<=98) & (s7p1a==1 & s7p1a1==1)
	 *Resultados 
	svy: ratio x27/y27
	svy: ratio x27/y27, over(area)
	
*===============================================================================*
* 							Poblaciones 
*===============================================================================*

 * Población Total
 gen t=1 
 svy: total t
  * Población de 5 años y más
 svy: total y7
 * Población que tiene teléfono celular activado
 svy:total x23
 * Población que tiene teléfono celular SMARTPHONE
 svy:total x24
 * Población que en su teléfono smartphone utiliza redes sociales
 svy:total x27
 
 
clear all 
		
*===============================================================================*
* 							FIN 
*===============================================================================*
	
